
QGIS Application - Bug report #11212

Processing model - v.db.select

2014-09-16 08:16 AM - Giuseppe Patti

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19522

Description

Grass module v.db.select doesn't work if inserted in a model, warning about a missing or invalid parameter value even if also the

advanced parameters are filled, but it works if used as an algorithm directly from processing

Associated revisions

Revision a15f51e7 - 2016-02-16 05:26 PM - Alexander Bruy

Merge pull request #2788 from medspx/processing_fix_vdbselect

[processing] аix GRASS7 v.db.select (fix #11212)

History

#1 - 2014-09-20 04:42 AM - Jürgen Fischer

- Category set to 59

#2 - 2014-09-25 02:55 AM - Victor Olaya

could you paste here the whole grass output with that error so we can debug it?

Thanks!

#3 - 2014-09-25 05:38 AM - Giuseppe Patti

- File processing_model_error.PNG added

Sorry, there is no grass output (the tool v.db.select runs fine outside the model), I'm just trying to add the algorithm to my model, and as soon as I set all the

mandatory fields and click the "OK" button it fires up the error, see the attached screenshot

#4 - 2014-10-04 11:52 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (59)

- Project changed from 78 to QGIS Application

#5 - 2014-10-04 11:53 AM - Giovanni Manghi

- Category set to Processing/GRASS
#6 - 2014-10-04 11:53 AM - Giovanni Manghi

- Assignee set to Victor Olaya

#7 - 2015-05-25 08:42 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Affected QGIS version changed from 2.4.0 to master

#8 - 2016-02-12 12:43 PM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

I have made PR for #11212. This was a problem in the definition of some parameters. It should be fixed with the PR.

I hope it will be integrated into QGIS 2.14...

#9 - 2016-02-16 08:26 AM - Alexander Bruy

- Status changed from In Progress to Closed

Fixed in changeset commit:"a15f51e71ba526fd4b5512a13e989a6b8579f580".

Files

processing_model_error.PNG 69.3 KB 2014-09-25 Giuseppe Patti
